petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGaussLobattoLegendreElementAdvectionDestroy

frees the advection stiffness for a single 1d GLL element

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementAdvectionDestroy(PetscInt n,PetscReal *nodes,PetscReal *weights,PetscReal ***AA)

Not Collective

### Input Parameter

| n | - the number of GLL nodes
| nodes | - the GLL nodes
| weights | - the GLL weights
| A | - advection

### See Also

PetscDTGaussLobattoLegendreQuadrature(), PetscGaussLobattoLegendreElementAdvectionCreate()

### Level

beginner

### Location

src/dm/dt/interface/dt.c

### Examples

src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages